[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Has Anyone successfully upgraded Redhat 8 to KDE 3.1



Ok couple questions here,

1.  By Typing make in the meta dir, will that make all kde packages, i mean
like all the apps, office apps, etc?  The reason I ask is that the Konstruct
Readme says to

cd meta/kde;make install

to make all packages?

Just wondering.  Already doing your instructions now.  Thanks!

Ross
----- Original Message -----
From: "Ivaylo Toshev" <ivo linux itce com>
To: <psyche-list redhat com>
Sent: Wednesday, February 05, 2003 3:33 AM
Subject: Re: Has Anyone successfully upgraded Redhat 8 to KDE 3.1


> Dont know about what kind of RPM packages you talking about, because i
> did not see nor official nor unofficial RPMs for RH 8.0, anyway i will
> try to post some step-by-step instruction how-to build KDE 3.1 from
> cources under RH 8.0 without to uninstall KDE 3.0.x
> You need the following source packages:
> 1) qt-x11-3.1.1 form www.trolltech.com
> 2) konstrukt from htpp://konsole.kde.org/konstruct/
> 3) all kde 3.1 src packages from: http://download.kde.org/
>
> Info: you have to build qt-x11 by yourself and not with konstruct,
> because konstruct will not build it with anti-aliasing support, and i am
> sure you want anti-aliasing ;-))
>   A) Building qt-3.1.1:
> unpack the qt-3.1.1 src package and move it in /usr/local/qt-3.1.1
> You have to patch (by hand)
> /usr/local/qt-3.1.1/config.tests/x11/xfreetype.test
> -------------
> On line 40, where is: LIBS="Xft Xft2" must be changed to be:
> LIBS="Xft2"
> ------------------------------------------------
> next: cd /usr/local/qt-3.1.1
> #./configure -system-zlib -qt-gif -system-libpng -system-libjpeg
> -plugin-imgfmt-mng -thread -no-stl -no-exceptions -fast -no-xinerama
> -prefix /usr/local/qt/ -I/usr/include/Xft2/ -lfontconfig
>
> #make
>
> As you can see this will compile qt-3.1.1 with Xft2 support and you will
> be able to do:
> #make install
> which will install qt-3.1.1 binaries and libs in /usr/local/qt
>  NOTE: (make install) is optional but if you miss it, then you have to
> set env. variable QTDIR to point to /usr/local/qt-3.1.1 in next steps:
> B) Put all kde src packages in some direktory (we assume that this is
> /usr/local/src/kde31. Dont Unpack THEM, just copy there !
>
> C) Unpack konstrukt:
> #cd konstruct
> #export QTDIR=/usr/local/qt (if you did make install in previous step,
> otherwise set it to: /usr/local/qt-3.1.1)
>
> Open with text editor gar.conf.mk , and do the following changes:
> HAVE_QT_3_1_INSTALLED = true
> GARCHIVEDIR = /usr/local/src/kde31
>
> NOTE: We will install kde 3.1 in /usr/local, so to be able to start KDE
> 3.1 or KDE 3.0 (user choice when logs in system). DO NOT SET TO INSTALL
> IN /usr BECAUSE THERE ARE SOME ERRORS WITH KDM (if u use it, otherwise
> you can install kde 3.1 in /usr, but before that do: # rpm -e `rpm
> -qa|grep kde` --nodeps )
>
> prefix ?= /usr/local
>           and the last line in gar.conf.mk shold become:
> FILE_SITES = file://usr/local/src/kde31 file://$(FILEDIR)/
> file://$(GARCHIVEDIR)/
>
> and thats all, now you can do:
>
> D)Compile KDE 3.1 with konstruct :
> #cd meta/kde
> #make install
>
> go take a coffe, tea, beer, sleep ..... on my P III 850 Mhz this step
> spend about 6 hours.
> -------------------------------------------
> P.S. Almost forgot: After successfull compilation you must do the
> following to enable start of KDE 3.1
> E) You have the following choices:
> - Do what is said in konstruct/README ( for single user permanent
> settings to start just KDE 3.1)
> - Do what i did ( let user choose in KDM):
> With text editor make the file /usr/X11R6/bin/kde31, in which type
> -----------------------------------
> #!/bin/bash
> export QTDIR=/usr/local/qt
> export KDEDIRS=/usr/local
> export
>
LD_LIBRARY_PATH=/usr/local/lib:/usr/local/qt/lib:/usr/lib:/usr/lib/qt3:$LD_L
IBRARY_PATH
> export PATH=/usr/local/bin:/usr/local/qt/bin:$PATH
> exec /usr/local/bin/startkde
> -----------------------------------
> chmod a+x /usr/X11R6/bin/kde31
> And the last thing you have to do is to start old KDE 3.0.3 as root (
> if you did not start it) or as root to start
> Control-Center-> System ->Login Manager -> Sessions tab , where you must
> to add session with name "KDE3.1"
>
> На вт, 2003-02-04 в 18:30, Ross Ferson записа:
> > Hello
> >
> > I am running RH8.0 and want KDE 3.1. I tried using some binary rpms
> > and it didn't upgrade (i used rpm -Uvh --force) and upon reboot 90% of
> > KDE 3.1 was there and working. However there were many many errors.
> > Has anyone successfully upgraded RH8.0 to KDE 3.1? If so can you step
> > by step me how? I would really appreciate it as i have given windows
> > xp the boot and am trying to make RH my only OS. THanks
>
>
>
> --
> Psyche-list mailing list
> Psyche-list redhat com
> https://listman.redhat.com/mailman/listinfo/psyche-list
>





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]